petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatGetOwnershipRangesColumn

Returns the range of matrix columns associated with rows of a vector one multiplies by that owned by this processor. (The columns of the "diagonal blocks" for each process)

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetOwnershipRangesColumn(Mat mat,const PetscInt **ranges)

Not Collective, unless matrix has not been allocated, then collective on Mat

### Input Parameters

mat -the matrix

### Output Parameters

ranges -start of each processors portion plus one more then the total length at the end

### See Also

MatGetOwnershipRange(), MatGetOwnershipRangeColumn(), MatGetOwnershipRanges()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages